# Retrieve by UDPRN

```
GET 
/udprn/:udprn
```

Returns an address as identified by its Unique Delivery Point Reference Number (UDPRN).

You may find it useful to store UDPRN information as it can be used to retrieve the most recent information for an address. It can also be used to test for a deleted address.

UDPRNs are an eight digit unique numeric code (e.g. `25962203`) for any premise on the Postcode Address File. It's essentially a unique identifier for every address in the UK that Royal Mail has in its database.

## Testing[​](#testing "Direct link to Testing")

To test your implementation of our API we have a range of test UDPRNs that yield both successful and unsuccessful responses to your request.

They are the following:

* `0` Returns a successful UDPRN lookup response `2000`
* `-1` Returns "UDPRN not found", error `4044`
* `-2` Returns "no lookups remaining", error `4020`
* `-3` Returns "daily (or individual) lookup limit breached", error `4021`

Test request undergo the usual authentication and restriction rules. This is to help surface any issues that occur during implementation and does not cost you a lookup.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200
* 404

Success

**Response Headers**



Resource not found
